%define name gnochive
%define version 0.6.2
%define release 2mdk

Name:		%{name}
Summary:	Gnochive is a GNOME frontend to the RAR archiver
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Compression
URL:		http://gnochive.sourceforge.net/
Requires:	gtk+ >= 1.2.3
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Gnochive is an archive program for handling RAR, gzip, tar, zip, archives, 
and also provides a GUI interface.


%prep

%setup -q

%build

%configure

%make

%install
rm -fr %buildroot

make DESTDIR=$RPM_BUILD_ROOT install

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):command="%{name}" \
needs="x11" \
section="Applications/Archiving/Compression" \
title="Gnochive" \
longtitle="GUI frontend for several archive format" \
icon="compression_section"
EOF


%find_lang %name

%post
%update_menus
   
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_datadir/pixmaps/gnochive/*
%_datadir/gnome/apps/Applications/gnochive.desktop
%_datadir/gnome/help/gnochive
%_datadir/applets/Utility/gnochive_app.desktop
%_datadir/omf/gnochive
%_datadir/pixmaps/*.png
%{_libdir}/menu/*

%changelog
* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.2-2mdk
- Use default compression icon for menu

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated to 0.6.2

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk
- updated to 0.5.6

* Thu Mar 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- new url

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk 
- project name have changed (was gnomerar previously)
- updated to 0.5.1

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- macros
- BM

* Tue Jun 20 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.3.8-1mdk
- initial specfile
- bzip sources
